Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameterGenerator.ElGamal

    java.lang.Object
      java.security.AlgorithmParameterGeneratorSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
              org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator.ElGamal

Enclosing class:
  JDKAlgorithmParameterGenerator

public static class JDKAlgorithmParameterGenerator.ElGamal
extends JDKAlgorithmParameterGenerator

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`JDKAlgorithmParameterGenerator.AES, JDKAlgorithmParameterGenerator.CAST5, JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.IDEA, JDKAlgorithmParameterGenerator.RC2`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`random, strength`

Constructor Summary
`JDKAlgorithmParameterGenerator.ElGamal()`

Method Summary
`protected java.security.AlgorithmParameters` | `engineGenerateParameters()`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameterGenerator.ElGamal

    public JDKAlgorithmParameterGenerator.ElGamal()

Method Detail

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                              java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
  Throws:
    `java.security.InvalidAlgorithmParameterException`

### engineGenerateParameters

    protected java.security.AlgorithmParameters engineGenerateParameters()

  Specified by:
    `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD